Skip to main content
GET
/
v1.0
/
communication
/
email
Email History
curl --request GET \
  --url https://api.lofty.com/v1.0/communication/email \
  --header 'Authorization: <authorization>'
{
  "emails": [
    {
      "id": 123,
      "leadId": 123,
      "direction": "Outbound",
      "agentId": 123,
      "eventType": "Sent",
      "emailEventTime": "<string>",
      "emailType": "Auto",
      "emailSubject": "<string>",
      "fromPond": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.lofty.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Authorization
string
required

Bearer [access_token]

Query Parameters

leadId
integer<int64>
required

ID of the lead whose email history to return.

Required range: x >= 1
offset
integer<int32>
default:0

Zero-based index of the first entry to return.

Required range: x >= 0
limit
integer<int32>
default:10

Number of entries per page.

Required range: 1 <= x <= 1000
currentId
integer<int64>

This parameter is used for page turning. When searching by ID is invoked, the interface would starts from this ID, and retrieve data sequentially. It is recommended to use this parameter as a replacement for offset to turn the page within the limit.

Response

Email history entries for the lead.

Wrapped response for GET /v1.0/communication/email. Email history entries are returned under the 'emails' key.

emails
object[]

Email history entries.